### Method

# JavaScriptCore WeakValue get_value

#### Declaration [src]

    JSCValue*
    jsc_weak_value_get_value (
      JSCWeakValue* weak_value
    )

#### Description [src]

Get a `JSCValue` referencing the JavaScript value of `weak_value`.

#### Return value

Type: `JSCValue`

A new `JSCValue` or `NULL` if `weak_value` was cleared.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.